-- UTF-8 only.
-- ==========
-- syntax -> http://www.antun.net/tips/script/lua.html
-- # suspend
-- >> coroutine.yield()
-- ==========
-- usage
-- # set enemy for appear time (1/60sec)
-- >> APPEAR(120)
-- # create enemy.
-- >> ENEMY(1, 320, 240)
-- # create enemy from 'FMF'
-- >> FMF("test1.fmf")
-- # wait to execute lua
-- >> WAIT(360)
-- >> coroutine.yield()
-- # play bgm
-- >> BGM("1.ogg")
-- # set limit(sec)
-- >> LIMIT(180)
-- # set damage 'power'
-- >> DMG1_VAL(3)
-- # set damage 'power' in a row
-- >> DMG2_VAL(1)
-- # set 'interval' damage power in a row
-- >> DMG2_TIME(10)

-- Initialize
TIMER_REFLECT(3)
TIMER_ATTACK(10)
APPEAR(120)
LIMIT(60)
DMG1_VAL(3)
DMG2_VAL(0)
DMG2_TIME(10)
RANK(0)
ENEMY_HP(1,  100)
ENEMY_HP(16, 1000)
BANANA(7)
BANANA(12)

FMF("nasu01.fmf")
WAIT2(32*60)
coroutine.yield()

BGM2("2.ogg")

FMF("nasu02.fmf")
WAIT2(32*60)
coroutine.yield()
FMF("nasu03.fmf")
WAIT2(32*60)
coroutine.yield()
FMF("nasu04.fmf")
WAIT2(8*60)
coroutine.yield()
FMF("nasu05.fmf")
WAIT2(32*60)
coroutine.yield()
FMF("nasu06.fmf")
BGMOFF(5000)

WAIT2(32*60)
coroutine.yield()

BACK(5, 120);
BGM("1.ogg")
FMF("boss.fmf")
WAIT(100)
coroutine.yield()
BACK(4, 120)
END()
